> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoint used to apply updates for product type

> Endpoint used to apply updates for product type



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json post /commerce/catalog/admin/quickedit/products/producttype
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/quickedit/products/producttype:
    post:
      tags:
        - ProductQuickEdit
      summary: Endpoint used to apply updates for product type
      description: Endpoint used to apply updates for product type
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuickEditChangeProductTypeActions'
        description: Mozu.ProductAdmin.Contracts.QuickEditChangeProductTypeActions
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuickEditChangeProductTypeResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/QuickEditChangeProductTypeResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/QuickEditChangeProductTypeResponse'
          description: OK
components:
  schemas:
    QuickEditChangeProductTypeActions:
      description: >-
        List of Mozu.ProductAdmin.Contracts.ChangeProductTypeActions to be
        applied to a list of Mozu.ProductAdmin.Contracts.Products.
      properties:
        actions:
          items:
            $ref: '#/components/schemas/ChangeProductTypeAction'
          nullable: true
          type: array
      type: object
    QuickEditChangeProductTypeResponse:
      description: Aggregates the individual results of update actions per product update
      properties:
        results:
          description: List of Mozu.ProductAdmin.Contracts.QuickEditChangeProductTypeResult
          items:
            $ref: '#/components/schemas/QuickEditChangeProductTypeResult'
          nullable: true
          type: array
      type: object
    ChangeProductTypeAction:
      description: >-
        List of JsonPatch operations to be applied to a
        Mozu.ProductAdmin.Contracts.Product
      properties:
        ignoreDataLoss:
          description: "Whether to ignore data loss.\r\nIf true, data loss will be ignored.\r\nIf false, the product will not be updated when warnings are encountered"
          type: boolean
        patches:
          $ref: '#/components/schemas/ProductV1PatchDocument'
        productCode:
          description: Product code of the target product
          nullable: true
          type: string
        saveAndPublish:
          description: "If true and publishing is enabled, actions are applied to a draft version of the product and then the draft is published otherwise\r\nchanges are saved to the live product."
          type: boolean
        testMode:
          description: Whether to run in test mode.  If true, no changes will be made.
          type: boolean
      type: object
    QuickEditChangeProductTypeResult:
      properties:
        initialProductTypeId:
          description: The original product type id
          format: int32
          type: integer
        message:
          description: Error message if any.
          nullable: true
          type: string
        resourceId:
          description: The unique resouce identifier
          nullable: true
          type: string
        success:
          description: true if the patch succeeded.
          type: boolean
        targetProductTypeId:
          description: The target product type id
          format: int32
          type: integer
        validationResults:
          description: >-
            List of
            Mozu.ProductAdmin.Contracts.ProductTypeChangeValidationResult
          items:
            $ref: '#/components/schemas/ProductTypeChangeValidationResult'
          nullable: true
          type: array
      type: object
    ProductV1PatchDocument:
      properties:
        operations:
          items:
            $ref: '#/components/schemas/ProductV1PatchOperation'
          nullable: true
          type: array
      type: object
    ProductTypeChangeValidationResult:
      properties:
        attributeFqn:
          nullable: true
          type: string
        code:
          format: int32
          type: integer
        message:
          nullable: true
          type: string
        severity:
          nullable: true
          type: string
      type: object
    ProductV1PatchOperation:
      properties:
        from:
          nullable: true
          type: string
        op:
          nullable: true
          type: string
        path:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````